package com.bytedance.android.livesdk.livesetting.watchlive.firstscreen;

import X.2OF;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.android.livesdk.livesetting.linkmic.TTliveAnchorDeviceScoreSetting;
import com.bytedance.covode.number.Covode;

@SettingsKey("multi_player_device_score")
public final class LiveMultiPlayerDeviceScore {
    @Group(isDefault = true, value = "default group")
    public static final 2OF DEFAULT = new 2OF((byte) 0);
    public static final LiveMultiPlayerDeviceScore INSTANCE = new LiveMultiPlayerDeviceScore();

    public final 2OF getDEFAULT() {
        return DEFAULT;
    }

    static {
        Covode.recordClassIndex(18450);
    }

    public final boolean isEnable() {
        2OF r3 = (2OF) SettingsManager.INSTANCE.getValueSafely(LiveMultiPlayerDeviceScore.class);
        if (r3 == null) {
            r3 = new 2OF((byte) 0);
        }
        float value = TTliveAnchorDeviceScoreSetting.INSTANCE.getValue();
        if (value < r3.LIZIZ || value >= r3.LIZ) {
            return false;
        }
        return true;
    }
}
